@ECHO OFF
title HEVC(H.265) Video Codec Install
VER | FIND /C "Version 6.">nul && SET HEVC_COLOR=ON
SET HEVCLANGUAGE=ENGLISH
mode con cols=100 lines=24

:START
rem OS  ǥ  ¥ ǥ  ȮϿ ǥѴ.
ECHO %DATE% | FIND /C /I "/">nul&& GOTO DATE_ENGLISH
ECHO %DATE% | FIND /C /I "-">nul&& GOTO DATE_KOREAN
GOTO FILE_CHECK

:DATE_ENGLISH
SET HEVCLANGUAGE=ENGLISH
GOTO FILE_CHECK

:DATE_KOREAN
SET HEVCLANGUAGE=KOREAN
GOTO FILE_CHECK

:FILE_CHECK
IF EXIST "%CD%\*_x64*.appx" SET X64_FILE=ON
IF NOT EXIST "%CD%\*_x64*.appx" SET X64_FILE=OFF
IF EXIST "%CD%\*_x86*.appx" SET X86_FILE=ON
IF NOT EXIST "%CD%\*_x86*.appx" SET X86_FILE=OFF
GOTO MAINMENU


:MAINMENU
COLOR 07
CLS
ECHO ===================================================================================================
ECHO. HEVC(H.265) Video Codec Install
ECHO ===================================================================================================
ECHO.
IF "%HEVC_COLOR%"=="ON"		GOTO MAINMENU_1
GOTO MAINMENU_2

:MAINMENU_1
IF "%HEVCLANGUAGE%"=="ENGLISH" ECHO. Microsoft HEVC Video Extension Install (x86 / x64)
IF "%HEVCLANGUAGE%"=="KOREAN"  ECHO. ũμƮ HEVC ڵ ġ (x86 / x64)
GOTO MAINMENU_3

:MAINMENU_2
IF "%HEVCLANGUAGE%"=="ENGLISH" ECHO. [92mMicrosoft HEVC Video Extension Install (x86 / x64)[0m
IF "%HEVCLANGUAGE%"=="KOREAN"  ECHO. [92mũμƮ HEVC ڵ ġ (x86 / x64)[0m
GOTO MAINMENU_3

:MAINMENU_3
ECHO.
IF "%X64_FILE%"=="ON"	IF "%HEVCLANGUAGE%"=="ENGLISH" ECHO. [A] - HEVC x64 Install
IF "%X86_FILE%"=="ON"	IF "%HEVCLANGUAGE%"=="ENGLISH" ECHO. [B] - HEVC x86 Install
IF "%X64_FILE%"=="ON"	IF "%HEVCLANGUAGE%"=="KOREAN"  ECHO. [A] - HEVC 64Ʈ  ġ
IF "%X86_FILE%"=="ON"	IF "%HEVCLANGUAGE%"=="KOREAN"  ECHO. [B] - HEVC 32Ʈ  ġ

IF "%HEVC_COLOR%"=="ON"		GOTO MAINMENU_4
GOTO MAINMENU_5

:MAINMENU_4
IF "%X64_FILE%"=="OFF"	IF "%HEVCLANGUAGE%"=="ENGLISH" ECHO. [A] - HEVC x64 Install   (File not found!!) 
IF "%X86_FILE%"=="OFF"	IF "%HEVCLANGUAGE%"=="ENGLISH" ECHO. [B] - HEVC x86 Install   (File not found!!)
IF "%X64_FILE%"=="OFF"	IF "%HEVCLANGUAGE%"=="KOREAN"  ECHO. [A] - HEVC 64Ʈ ڵ ġ  (ġ  ϴϴ.)
IF "%X86_FILE%"=="OFF"	IF "%HEVCLANGUAGE%"=="KOREAN"  ECHO. [B] - HEVC 32Ʈ ڵ ġ  (ġ  ϴϴ.)

:MAINMENU_5
IF "%X64_FILE%"=="OFF"	IF "%HEVCLANGUAGE%"=="ENGLISH" ECHO. [A] - HEVC x64 Install   [91m(File not found!!)[0m
IF "%X86_FILE%"=="OFF"	IF "%HEVCLANGUAGE%"=="ENGLISH" ECHO. [B] - HEVC x86 Install   [91m(File not found!!)[0m
IF "%X64_FILE%"=="OFF"	IF "%HEVCLANGUAGE%"=="KOREAN"  ECHO. [A] - HEVC 64Ʈ ڵ ġ  [91m(ġ  ϴϴ.)[0m
IF "%X86_FILE%"=="OFF"	IF "%HEVCLANGUAGE%"=="KOREAN"  ECHO. [B] - HEVC 32Ʈ ڵ ġ  [91m(ġ  ϴϴ.)[0m
ECHO.
ECHO.
ECHO. [X] - Exit
ECHO.
ECHO ---------------------------------------------------------------------------------------------------
ECHO.
rem       123456789012345678901234567890
IF "%HEVCLANGUAGE%"=="ENGLISH"	CHOICE /C:ABXZ /D:B /T:20 /N /M "** Press Select Key (Wait - 20 sec / None Select : Exit, [X])"
IF "%HEVCLANGUAGE%"=="KOREAN"	CHOICE /C:ABXZ /D:B /T:20 /N /M "** [A] Ǵ [B] Ű Ͻʽÿ (̼  20  [X])"
IF ERRORLEVEL = 4 	GOTO END
IF ERRORLEVEL = 3 	GOTO END
IF ERRORLEVEL = 2 	GOTO X86_INSTALL
IF ERRORLEVEL = 1 	GOTO X64_INSTALL
GOTO END


:X64_INSTALL
ECHO "%CD%\*_X64*.appx" | FIND /C "\\">nul && GOTO X64_INSTALL_ROOT
DIR /B /ON "%CD%\*_X64*.appx">"%ProgramData%\TEMP$$$.tmp"
GOTO X64_INSTALL_RUN

:X64_INSTALL_ROOT
DIR /B /ON "%CD%*_X64*.appx">"%ProgramData%\TEMP$$$.tmp"
GOTO X64_INSTALL_RUN

:X64_INSTALL_RUN
set /p INSTALL_FILE=<"%ProgramData%\TEMP$$$.tmp"
IF "%INSTALL_FILE%"=="" GOTO NONE
IF "%X64_FILE%"=="OFF" GOTO NONE
ECHO.
ECHO ---------------------------------------------------------------------------------------------------
ECHO.
ECHO. HEVC File : %INSTALL_FILE%
ECHO.
IF "%HEVCLANGUAGE%"=="ENGLISH"	ECHO. HEVC x64 Install...
IF "%HEVCLANGUAGE%"=="KOREAN"	ECHO. HEVC x64 ڵ ġ...
POWERSHELL -command {Add-AppxPackage "%CD%\%INSTALL_FILE%"} >NUL
COLOR 1F
IF "%HEVCLANGUAGE%"=="ENGLISH"	ECHO. HEVC x64 Install... OK
IF "%HEVCLANGUAGE%"=="KOREAN"	ECHO. HEVC x64 ڵ ġ... Ϸ
GOTO WAIT

:X86_INSTALL
ECHO "%CD%\*_X86*.appx" | FIND /C "\\">nul && GOTO X86_INSTALL_ROOT
DIR /B /ON "%CD%\*_X86*.appx">"%ProgramData%\TEMP$$$.tmp"
GOTO X86_INSTALL_RUN

:X86_INSTALL_ROOT
DIR /B /ON "%CD%*_X86*.appx">"%ProgramData%\TEMP$$$.tmp"
GOTO X86_INSTALL_RUN

:X86_INSTALL_RUN
set /p INSTALL_FILE=<"%ProgramData%\TEMP$$$.tmp"
IF "%INSTALL_FILE%"=="" GOTO NONE
IF "%X86_FILE%"=="OFF" GOTO NONE
ECHO.
ECHO ---------------------------------------------------------------------------------------------------
ECHO.
ECHO. HEVC File : %INSTALL_FILE%
ECHO.
IF "%HEVCLANGUAGE%"=="ENGLISH"	ECHO. HEVC x86 Install...
IF "%HEVCLANGUAGE%"=="KOREAN"	ECHO. HEVC x86 ڵ ġ...
POWERSHELL -command {Add-AppxPackage "%CD%\%INSTALL_FILE%"} >NUL
COLOR 1F
IF "%HEVCLANGUAGE%"=="ENGLISH"	ECHO. HEVC x86 Install... OK
IF "%HEVCLANGUAGE%"=="KOREAN"	ECHO. HEVC x86 ڵ ġ... Ϸ
GOTO WAIT


:NONE
COLOR 4F
ECHO ---------------------------------------------------------------------------------------------------
ECHO.
IF "%HEVCLANGUAGE%"=="ENGLISH"	ECHO. HEVC Codec File not Found!!
IF "%HEVCLANGUAGE%"=="KOREAN"	ECHO. HEVC ڵ  ϴ.
GOTO WAIT


:WAIT
ECHO.
ECHO.
IF "%HEVCLANGUAGE%"=="ENGLISH"	CHOICE /C:Z /D:Z /T:3 /N /M "** Please Wait......(Wait - 3 sec)"
IF "%HEVCLANGUAGE%"=="KOREAN"	CHOICE /C:Z /D:Z /T:3 /N /M "** ø ٷ ֽʽÿ..... (ð : 3)"
GOTO END


:END
IF EXIST "%ProgramData%\TEMP$$$.tmp" DEL /F "%ProgramData%\TEMP$$$.tmp" >NUL
COLOR 07